/* 
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Id: int64.g,v 1.1 2002/05/27 15:08:45 malekith Exp $
 *
 * Standard library for Gont, Int64 module implementation.
 */

exception void Division_by_zero;

void __dummy_disaster()
{
	raise Division_by_zero;
}

open Int64;

t zero;
t one;
t minus_one;

t succ(t x)
{
	return add(x, one);
}

t pred(t x)
{
	return sub(x, one);
}

section init 
{
	zero = of_string("0");
	one = of_string("1");
	minus_one = of_string("-1");
}
