(* 
 * Copyright (c) 2001 The University of Wroclaw.
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Id: lexer.mli,v 1.2 2002/02/16 12:09:08 malekith Exp $
 *
 * Module interface: Lexer
 * Description:
 *
 * Note, that this file ain't auto generated.
 *)

(* Lexing error. *)
exception Error of 
        (* filename *) string * 
        (* line *) int * 
        (* column *) int * 
        (* message *) string
        
exception Eof

val get_file_name : unit -> string
val set_file_name : string -> unit

val get_line_column : (* filename *) string -> 
                      (* charno *) int -> 
                      (* line *) int * (* column *) int
                      
val get_current_location : unit -> (* filename *) string * 
                                   (* line *) int * 
                                   (* column *) int

val token : Lexing.lexbuf -> Parser.token
;;
